Improve curved labels
Assignee:

Category: Labelling

Pull Request or Patch supplied:No Resolution: duplicate

Easy fix?: No Copied to github as #: 14688

Description

It is easy to see that if a curved line is "perfect" (example: an arc done with the "cad tools" plugin) then the curved labels are correctly

rendered. If the curved line is quite smooth but made of just a few nodes, then the curved labels are not rendered as expected.

As an example of working curves use the attached shape. As an example of not working curves you can use 

https://issues.qgis.org/attachments/4183/labels_test.zip

History

#1 - 2012-01-31 01:53 AM - Martin Dobias

- Assignee deleted (Martin Dobias)

Actually the problem is elsewhere: if the label width does not fit to the linestring length, it will not be added with curved placement. A solution could be to

have an option to place the labels even if they do not fit - the engine would pretend that the first and last segment are "infinite"

#2 - 2012-01-31 02:44 AM - Giovanni Manghi

Martin Dobias wrote:

Actually the problem is elsewhere: if the label width does not fit to the linestring length, it will not be added with curved placement. A solution could

be to have an option to place the labels even if they do not fit - the engine would pretend that the first and last segment are "infinite"

I would be happy to give it a try.

#3 - 2012-04-15 10:06 AM - Giovanni Manghi

- Target version changed from Version 1.8.0 to Version 2.0.0

#4 - 2012-04-16 05:16 AM - Giovanni Manghi

- Resolution set to duplicate

- Status changed from Open to Closed

duplicate of #2113

Files

linha_shp.zip 103 KB 2012-01-23 Giovanni Manghi

08.png 463 KB 2012-01-23 Giovanni Manghi
